PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Classes | Macros | Functions
psoap.h File Reference
`#include <ptclib/pxml.h>`
`#include <ptclib/http.h>`
Include dependency graph for psoap.h:

Go to the source code of this file.

## Classes
class | PSOAPMessage
| SOAP Message classes. More...
class | PSOAPServerRequestResponse
| SOAP Server classes. More...
class | PSOAPServerMethod
| Create an association between a method and its "notifier", the handler function. More...
class | PSOAPServerResource
| This resource will bind the methods to an http resource (a url) More...
class | PSOAPClient
| SOAP client classes. More...

## Macros
#define | DEFAULT_SOAP_URL "/soap"

## Functions
| PSORTED_LIST (PSOAPServerMethodList, PSOAPServerMethod)

## Macro Definition Documentation

#define DEFAULT_SOAP_URL "/soap"

## Function Documentation

PSORTED_LIST | ( | PSOAPServerMethodList | ,
|  | PSOAPServerMethod |
| ) |  |